### Method

# Notify Notification set_app_name

since: 0.7.3

#### Declaration [src]

    void
    notify_notification_set_app_name (
      NotifyNotification* notification,
      const char* app_name
    )

#### Description [src]

Sets the application name for the notification.

If this function is not called or if `app_name` is `NULL`, the application name will be set from the value used in `notify_init()` or overridden with `notify_set_app_name()`.

Available since: 0.7.3

Sets property | `Notify.Notification:app-name`

#### Parameters

`app_name`

  Type: `const char*`

  The localised application name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.